FUNCTION TEM(3)

NAME
boost::algorithm::find_format_all - Generic replace all algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/find_format.hpp>
template<typename SequenceT, typename FinderT, typename FormatterT>
  void find_format_all(SequenceT & Input, FinderT Finder,
                       FormatterT Formatter);

DESCRIPTION

Use the Finder to search for a substring. Use the Formatter to format this substring and replace it in the input. Repeat this for all matching substrings.The input is modified in-place.

Parameters:

    Finder
        A Finder object used to search for a match to be replaced

    Formatter
        A Formatter object used to format a match

    Input
        An input sequence